### Method

# GLib AsyncQueue unref

#### Declaration

    void
    g_async_queue_unref (
      GAsyncQueue* queue
    )

#### Description

Decreases the reference count of the asynchronous `queue` by 1.

If the reference count went to 0, the `queue` will be destroyed and the memory allocated will be freed. So you are not allowed to use the `queue` afterwards, as it might have disappeared. You do not need to hold the lock to call this function.